<?php
function palace_custom_css() {
	global $ap_options;
	foreach ($ap_options as $key => $ap_option) {
		$$key = $ap_option['val'];
	}
	
	function to_rgb_dec($hex) {
		$red = hexdec(substr($hex,1,2));
		$green = hexdec(substr($hex,3,2));
		$blue = hexdec(substr($hex,5,2));
		return '' . $red . ', ' . $green . ', ' . $blue;
	}
	
	function to_alpha_css($alpha_option, $for) {
		switch( $for ) {
			case 'background' : $alpha_option = $alpha_option; break;
			case 'border' : $alpha_option = (int) ($alpha_option / 2); break;
			case 'shadow' : $alpha_option = (int) ($alpha_option / 4); break;
		}
		if ( $alpha_option < 10 ) {
			$return_alpha = '0.0' . $alpha_option;
		} else if ( $alpha_option > 99 ) {
			$return_alpha = '1';
		} else {
			$return_alpha = '0.' . $alpha_option;
		}
		return $return_alpha;
	}
	
global $slider_name;
echo( "\n" );
?>

<style type="text/css" media="screen">
/* the following css rules are generated by the palace_custom_css() function which is in the inc/custom-css.php file */

body {
	background: <?php echo( $ap_bg_color ); ?>;
}

a, #wp-calendar a {
	color: <?php echo( $ap_links_color ); ?>;
}

h1, h2, h3, h4, h5, h6, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a, .blog-description {
	color: <?php echo( $ap_headings_color ); ?>;
}

#logo-big-wrapper {
	background-color: <?php echo( $ap_logo_background_color ); ?>;
	background-color: rgba(<?php echo( to_rgb_dec($ap_logo_background_color) . ', ' . to_alpha_css($ap_logo_background_opacity, 'background') ); ?>);
	border: 1px solid rgba(<?php echo( to_rgb_dec($ap_logo_background_color) . ', ' . to_alpha_css($ap_logo_background_opacity, 'border') ); ?>);
	box-shadow: 0 1px 3px rgba(<?php echo( '0, 0, 0, ' . to_alpha_css($ap_logo_background_opacity, 'shadow') ); ?>);
}

nav {
	top: <?php echo( $ap_navigation_y_position ); ?>px;
}

nav ul a {
	color: <?php echo( $ap_menu_text_color ); ?>;
}

nav a:hover {
	color: <?php echo( $ap_menu_text_hover_color ); ?>;
}

nav, nav ul.nav-standard li ul li {
	background-color: <?php echo( $ap_menu_background_color ); ?>;
	background-color: rgba(<?php echo( to_rgb_dec($ap_menu_background_color) . ', ' . to_alpha_css($ap_menu_background_opacity, 'background') ); ?>);
}

nav, nav ul.nav-standard li ul li:last-child {
	border-bottom: 1px solid rgba(<?php echo( to_rgb_dec($ap_menu_background_color) . ', ' . to_alpha_css($ap_menu_background_opacity, 'border') ); ?>);
}

nav ul.nav-mobile {
	background-color: <?php echo( $ap_menu_background_color ); ?>;
	background-color: rgba(<?php echo( to_rgb_dec($ap_menu_background_color) . ', ' . to_alpha_css($ap_menu_background_opacity, 'background') ); ?>);
	border: 1px solid rgba(<?php echo( to_rgb_dec($ap_menu_background_color) . ', ' . to_alpha_css($ap_menu_background_opacity, 'border') ); ?>);
	box-shadow: 0 1px 3px rgba(<?php echo( '0, 0, 0, ' . to_alpha_css($ap_menu_background_opacity, 'shadow') ); ?>);
}

<?php if ( $ap_mobile_menu_type == 'drop-down menu' ) { ?>
#nav-button-main {
	background-color: rgba(<?php echo( to_rgb_dec($ap_mobile_button_background_color) . ', ' . to_alpha_css($ap_mobile_button_background_opacity, 'background') ); ?>);
}
<?php } else { // mobile menu is a select-box ?>
#nav-select {
	background-color: rgba(<?php echo( to_rgb_dec($ap_mobile_button_background_color) . ', ' . to_alpha_css($ap_mobile_button_background_opacity, 'background') ); ?>);
}
<?php } ?>

#logo-nav-container-strip {
	background-color: <?php echo( $ap_top_strip_background_color ); ?>;
	background-color: rgba(<?php echo( to_rgb_dec($ap_top_strip_background_color) . ', ' . to_alpha_css($ap_top_strip_background_opacity, 'background') ); ?>);
	border-bottom: 1px solid rgba(<?php echo( to_rgb_dec($ap_top_strip_background_color) . ', ' . to_alpha_css($ap_top_strip_background_opacity, 'border') ); ?>);
	box-shadow: 0 1px 3px rgba(<?php echo( '0, 0, 0, ' . to_alpha_css($ap_top_strip_background_opacity, 'shadow') ); ?>);
}

#widget-area-top-container { 
	background-color: <?php echo( $ap_top_widget_area_background_color ); ?>;
	background-color: rgba(<?php echo( to_rgb_dec($ap_top_widget_area_background_color) . ', ' . to_alpha_css($ap_top_widget_area_background_opacity, 'background') ); ?>);
	border-bottom: 1px solid rgba(<?php echo( to_rgb_dec($ap_top_widget_area_background_color) . ', ' . to_alpha_css($ap_top_widget_area_background_opacity, 'border') ); ?>);
	box-shadow: 0 1px 3px rgba(<?php echo( '0, 0, 0, ' . to_alpha_css($ap_top_widget_area_background_opacity, 'shadow') ); ?>);
}

<?php
if ( $ap_logo_background_opacity == 0 ) {
?>
#widget-area-top-container-mobile { 
	background-color: <?php echo( $ap_top_widget_area_background_color ); ?>;
	background-color: rgba(<?php echo( to_rgb_dec($ap_top_widget_area_background_color) . ', ' . to_alpha_css($ap_top_widget_area_background_opacity, 'background') ); ?>);
	border-bottom: 1px solid rgba(<?php echo( to_rgb_dec($ap_top_widget_area_background_color) . ', ' . to_alpha_css($ap_top_widget_area_background_opacity, 'border') ); ?>);
	box-shadow: 0 1px 3px rgba(<?php echo( '0, 0, 0, ' . to_alpha_css($ap_top_widget_area_background_opacity, 'shadow') ); ?>);
}

<?php
}
?>
#slider-button-left, #slider-button-right, .fss-button-left, .fss-button-right, #position-indicator, .sc-fws-button-left, .sc-fws-button-right {
	background-color: <?php echo( $ap_slider_controls_background_color ); ?>;
	background-color: rgba(<?php echo( to_rgb_dec($ap_slider_controls_background_color) . ', ' . to_alpha_css($ap_slider_controls_background_opacity, 'background') ); ?>);
}

#slider-button-left, #slider-button-right {
	border-bottom: 1px solid rgba(<?php echo( to_rgb_dec($ap_slider_controls_background_color) . ', ' . to_alpha_css($ap_slider_controls_background_opacity, 'border') ); ?>);
	box-shadow: 0 1px 3px rgba(<?php echo( '0, 0, 0, ' . to_alpha_css($ap_slider_controls_background_opacity, 'shadow') ); ?>);
}

#slider-button-left:hover, #slider-button-right:hover, .fss-button-left:hover, .fss-button-right:hover, .sc-fws-button-left:hover, .sc-fws-button-right:hover {
	background-color: rgba(<?php echo( to_rgb_dec($ap_slider_controls_background_color) . ', ' . to_alpha_css($ap_slider_controls_background_opacity + 15, 'background') ); ?>);
	box-shadow: none;
}

#position-indicator {
<?php if ( $ap_slider_controls_color == 'white' ) { ?>
	color: #fff;
<?php } else { ?>
	color: #222;
<?php } ?>
}

#fwh-caption {
	background-color: <?php echo( $ap_title_background_color ); ?>;
	background-color: rgba(<?php echo( to_rgb_dec($ap_title_background_color) . ', ' . to_alpha_css($ap_title_background_opacity, 'background') ); ?>);
}

#fwh-caption, #fwh-caption h1 {
	color: <?php echo( $ap_title_text_color ); ?>;
}

<?php 
if ( $ap_headings_font != '' ) { 
	$pos = strpos($ap_headings_font, ':');
	if ($pos) {
		$ap_headings_font = substr($ap_headings_font, 0, $pos);
	}
?>
#logo, h1, h2, h3, h4, h5, h6, #fws-caption p, #full-screen-slider #fss-caption {
	font-family: "<?php echo( str_replace('+', ' ', $ap_headings_font) ); ?>", sans-serif;
}
<?php 
} 

foreach ( $ap_global_slider_manager as $slider ) {
	if ( $slider['name'] == $slider_name ) {
		$n_slide = 1;
		foreach ( $slider['slides'] as $slide ) {
			if ( $slider['type'] == 'Full-width' ) {
?>
body.<?php echo( $slider['name'] ); ?>.slide-<?php echo( $n_slide ); ?> #fwh-caption {
<?php
			} elseif ( $slider['type'] == 'Full-screen' ) {
?>
body.<?php echo( $slider['name'] ); ?>.slide-<?php echo( $n_slide ); ?> #fss-caption {		
<?php
			} elseif ( $slider['type'] == 'Top-content' ) {
?>
body.<?php echo( $slider['name'] ); ?>.slide-<?php echo( $n_slide ); ?> .sc-fws-caption {
<?php
			}
			if ( isset($slide['caption_background']) && isset($slide['caption_opacity']) && isset($slide['caption_color']) ) {
?>
	background-color: <?php echo( $slide['caption_background'] ); ?>;
	background-color: rgba(<?php echo( to_rgb_dec($slide['caption_background']) . ', ' . to_alpha_css($slide['caption_opacity'], 'background') ); ?>);
	color: <?php echo( $slide['caption_color'] ); ?>;
}
<?php
			} else {
				echo( '}' );
			}
			if ( isset($slide['css']) && ($slide['css'] != '') ) {
?>
body.<?php echo( $slider['name'] ); ?>.slide-<?php echo( $n_slide ); ?> <?php echo( $slide['css'] . "\n" ); ?>
<?php
			}
			$n_slide++;
		}
	}
}
?>

header.hc-normal-header, header.hc-normal-header #full-width-header {
	min-height: <?php echo( $ap_header_min_height ); ?>px;
}

header.ie8-header-small.hc-normal-header, header.ie8-header-small.hc-normal-header #full-width-header, header.ie8-header-small.hc-normal-header .full-width-header img {	
	height: <?php echo( $ap_header_min_height ); ?>px;
}

<?php
foreach ( $ap_global_slider_manager as $slider ) {
	if ( ($slider['name'] == $slider_name) && ($slider['type'] == 'Full-width') ) {
?>
header.hc-full-width-slider.<?php echo( $slider['name'] ); ?>, header.hc-full-width-slider #full-width-slider.<?php echo( $slider['name'] ); ?>,
header.ie8-header-small.hc-full-width-slider.<?php echo( $slider['name'] ); ?>, header.ie8-header-small.hc-full-width-slider-.<?php echo( $slider['name'] ); ?> #full-width-slider, 
header.ie8-header-small.hc-full-width-slider.<?php echo( $slider['name'] ); ?> .full-width-slide img {
	min-height: <?php echo( $slider['options'][3] ); ?>px;
}
@media only screen and (max-width: 1000px) {
	header.hc-full-width-slider, header.hc-full-width-slider #full-width-slider, header.hc-full-width-slider .full-width-slide img {
		height: <?php echo( $slider['options'][3] ); ?>px;
	}
}	
<?php
	}
}
?>

@media only screen and (max-width: 1000px) {
	header.hc-normal-header, header.hc-normal-header #full-width-header, header.hc-normal-header .full-width-header img {
		height: <?php echo( $ap_header_min_height ); ?>px;
	}
}

header.hc-map-header, #map-canvas {
	height: <?php echo( $ap_header_min_height ); ?>px;
}

.sidebar-content a, .textured-area-content a {
	color: <?php echo( $ap_links_color_sidebar ); ?>;
}

#footer-content {
	color: <?php echo( $ap_text_color_footer ); ?>;
}

footer.below-main-container #footer-content h3 {
	border-bottom-color: <?php echo( $ap_text_color_footer ); ?>;
}

#footer-content a {
	color: <?php echo( $ap_links_color_footer ); ?>;
}

.sidebar-content h1, .sidebar-content h2, .sidebar-content h3, .sidebar-content h4, .sidebar-content h5, .sidebar-content h6,
.textured-area-content h1, .textured-area-content h2, .textured-area-content h3, .textured-area-content h4, .textured-area-content h5, .textured-area-content h6 {
	color: <?php echo( $ap_headings_color_sidebar ); ?>;
}

#footer-content h1, #footer-content h2, #footer-content h3, #footer-content h4, #footer-content h5, #footer-content h6 {
	color: <?php echo( $ap_headings_color_footer ); ?>;
}

a:hover, #wp-calendar a:hover, #footer-content a:hover, .sidebar-content .current-menu-item a, .textured-area-content .current-menu-item a {
	color: <?php echo( $ap_links_hover_color ); ?>
}

.texture-custom .textured-area {
	background: url(<?php echo( $ap_texture_custom ); ?>);
}

.palace-button, input[type="submit"], input#searchsubmit {
	background-color: <?php echo( $ap_buttons_color); ?>;
	border-color: <?php echo( $ap_buttons_color); ?>;
}

.datepick-cmd, .datepick-month td .datepick-selected {
	background-color: <?php echo( $ap_buttons_color); ?>;
}

.calendar-key-selected-days {
	color: <?php echo( $ap_buttons_color); ?>;
}

footer.below-main-container, #footer-image-container {
	background: <?php echo( $ap_bg_color ); ?>;
	min-height: <?php echo( $ap_footer_min_height ); ?>px;
}

<?php
$red = hexdec(substr($ap_bg_color,1,2));
$green = hexdec(substr($ap_bg_color,3,2));
$blue = hexdec(substr($ap_bg_color,5,2));
$rgb = '' . $red . ', ' . $green . ', ' . $blue;
?>
#body-footer-transition {
	background: -webkit-gradient(linear, left top, left bottom, from(rgba(<?php echo( $rgb ) ?>, 0)), to(<?php echo( $ap_bg_color ); ?>));
	background: -moz-linear-gradient(linear, left top, left bottom, from(rgba(<?php echo( $rgb ) ?>, 0)), to(<?php echo( $ap_bg_color ); ?>));
	background: -o-linear-gradient(linear, left top, left bottom, from(rgba(<?php echo( $rgb ) ?>, 0)), to(<?php echo( $ap_bg_color ); ?>));
	background: -ms-linear-gradient(linear, left top, left bottom, from(rgba(<?php echo( $rgb ) ?>, 0)), to(<?php echo( $ap_bg_color ); ?>));
}

#footer-mask {
	background: -webkit-gradient(linear, left top, left bottom, from(<?php echo( $ap_bg_color ); ?>), to(rgba(<?php echo( $rgb ) ?>, 0)));
	background: -moz-linear-gradient(top, <?php echo( $ap_bg_color ); ?>, rgba(<?php echo( $rgb ) ?>, 0));
	background: -o-linear-gradient(top, <?php echo( $ap_bg_color ); ?>, rgba(<?php echo( $rgb ) ?>, 0));
	background: -ms-linear-gradient(top, <?php echo( $ap_bg_color ); ?>, rgba(<?php echo( $rgb ) ?>, 0));
	filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='<?php echo( $ap_bg_color ); ?>', endColorstr='<?php echo( '#00' . substr($ap_bg_color,1,6) ); ?>');
}

@media only screen and (max-width: 1000px) {
	#footer-image, #footer-image img, #footer-mask {
		height: <?php echo( $ap_footer_min_height ); ?>px;
	}
}
</style>

<?php
}
?>